/* Mobile-first adjustments */
@media (max-width: 768px) {
  header {
    flex-direction: column;
    align-items: flex-start;
    padding: 1rem;
  }

  .logo {
    width: 100%;
    transform: none;
    margin-bottom: 1rem;
  }

  nav {
    flex-direction: column;
    gap: 0.5rem;
    width: 50%;
    padding: 1rem;
  }

  nav a {
    font-size: 1.2rem;
    width: 8rem;
  }

  .topnav {
    overflow: hidden;
    background-color: #333;
    position: relative;
  }

  .links {
    display: none;
  }

  /* Style the hamburger menu */
  .topnav a.icon {
    background: black;
    display: block;
    position: absolute;
    /*right: 0;*/
    left: 35%;
    top: 15%;
    margin-left: 5rem;
    border-radius: 5px;
    padding: 5px 0;
    background-color: #333;
  }

  .fa {
    font-size: 40px;
  }

  .social-media {
    width: 40%;
    margin: 1rem auto;
  }

  .fb {
    width: 20%;
    float: left;
  }
  .wa-hdr {
    float: right;
    width: 20%;
  }

  .hero {
    display: flex;
    flex-direction: column;
    padding: 1rem;
    padding: 0;
  }

  .hero-content {
    width: 80%;
    margin: auto;
  }

  .hero-img {
    width: 100%;
    padding: 1rem;
  }

  .slide {
    width: 100%;
    height: auto;
  }

  .box {
    width: 90%;
    padding: 0.5rem;
  }

  .vision-mission {
    width: 90%;
    padding-left: 0;
    flex-direction: column;
    justify-content: center;
  }
  .vision, .mission {
    width: 100%;
    margin: auto;
    margin-bottom: 1rem;
  }

  form {
    width: 80%;
  }

  .service-grid {
    flex-direction: column;
  }

  footer {
    flex-direction: column;
    text-align: center;
    gap: 1rem;
  }

  .footer-links {
    width: 100%;
  }

  footer img {
    width: 40px;
  }
}
